PHP Manual
Prev |  | Next

# HttpRequest::getResponseInfo

(no version information, might be only in CVS)

HttpRequest::getResponseInfo -- Get response info

## Description

publicmixed HttpRequest::getResponseInfo ( [string name] )

Get response info after the request has been sent.

See http_get() for a full list of returned info.

If redirects were allowed and several responses were received, the data references the last received response.

## Parameters

name

  the info to read; if empty or omitted, an associative array containing all available info will be returned

## Return Values

Returns either a scalar containing the value of the info matching name if requested, FALSE on failure, or an associative array containing all available info.

Prev | Home | Next
HttpRequest::getResponseHeader | Up | HttpRequest::getResponseMessage